<?php
	### Klassen laden ###
	require 'tmp/sql.php';
	require 'classes/mysql.php';
	
	$sql = new MySQL(); if ($sql->debug) error_reporting (E_ALL|E_STRICT); else error_reporting (0);
	
	require 'plugins/phpQuery.php';
	require 'classes/settings.php';
	require 'classes/security.php';
	require 'classes/functions.php';
	require 'classes/template.php';
	require 'classes/player.php';
	require 'classes/stats.php';
	
	
	$func     = new Functions();
	$secure   = new Security();
	$settings = new Settings();
	$tpl      = new Templates();
	$tpl->load_phrases("overview", true);
	$tpl->load_phrases("detail", true);
	$path     = ($settings->get("cms") == "standalone") ? "" : $settings->get("path");
	
	
	// SQL-Abfragen
	if (true) {
		// Die ID eines Spielers generieren, damit sie fr die Waffen/Fahrzeug-Infos zur Verfgung steht
		$sql->query('
			SELECT p.id
			FROM '.$sql->prefix.'player p
			LEFT JOIN '.$sql->prefix.'stats_global g
				ON p.id = g.id
			LEFT JOIN '.$sql->prefix.'stats_scores s
					ON p.id = s.id
			WHERE g.time != 0
			AND p.id != 1
			ORDER BY s.score DESC
		');
		$row = $sql->fetchAssoc();
		$pid = $row['id'];
		
		// Die IDs aller Spieler abrufen, die eine Spielzeit > 0 haben, nicht die ID 1 haben, sortiert nach den Punkten
		$sql->query('
			SELECT p.id
			FROM '.$sql->prefix.'player p
			LEFT JOIN '.$sql->prefix.'stats_global g
				ON p.id = g.id
			LEFT JOIN '.$sql->prefix.'stats_scores s
					ON p.id = s.id
			WHERE g.time != 0
			AND p.id != 1
			ORDER BY s.score DESC
		');
	}
	
	
	### WEAPONS ###
	if (isset($_GET['weapon'])) {
		// Daten fr Waffeninfo generieren
		$stats = new Stats($pid);
		$weapon = $stats->get('weapons', $_GET['weapon']);
		
		$src = $path.'stylesheets/images/'.$weapon->img;
		$desc_short = $func->shortening($weapon->desc, 30);
		$desc_long = '<div style="width: 500px; white-space: normal;">'.$weapon->desc.'</div>';
		$desc_long = htmlspecialchars($desc_long);
		
		// Template laden
		eval ("\$template = \"".$tpl->template("compare_weapons")."\";");  
		$template = phpQuery::newDocumentHTML($template);
		$i = 0;
		
		
		// Tabellenzeilen generieren
		while ($row = $sql->fetchAssoc()) {
			$stats = new Stats($row['id']);
			$weapon = $stats->get('weapons', $_GET['weapon']);
			$td = Array();
			
			
			// Spielerrang
			if (true) {
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td[] = '<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Spielername
			if (true) {
				$name     = $stats->get('player', 'nickname') ? $stats->get('player', 'nickname') : $stats->get('player', 'name');
				$clantag  = $settings->get('clantag');
				
				$path = ($settings->get("cms") == "standalone") ? "" : $settings->get("path");
				$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancyDetail" href="'.$path.'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
			}
			
			// Servicestars
			if (true) {
				$count = $weapon->star->count;
				$kills = $weapon->star->needed - $weapon->star->curr;
				$src   = $count ? $path.'stylesheets/images/misc/servicestar.png' : $path.'stylesheets/images/misc/servicestar_trans.png';
				$tip   = $tpl->phrase('star_desc'); eval ( "\$tip = \"$tip\";" );
				$td[]  = '<td sort="'.$weapon->star->count.'" info="'.$tip.'">'.$weapon->star->count.' <img src="'.$src.'" /></td>';
			}
			
			// Ranking
			if (true) {
				if (isset($weapon->r) AND isset($weapon->c)) {
					$name    = $weapon->name;
					$type    = $tpl->phrase("ranking_weapons");
					$rank    = $stats->form($weapon->r, Array('number', 0));
					$count   = $stats->form($weapon->c, Array('number', 0));
					$percent = $stats->form($weapon->r, Array('ratio', $weapon->c, 0, '%'));
					$value   = $stats->form($weapon->kills, Array('number', 0, "", "kills"));
					eval ("\$info = \"".$tpl->template("detail_ranking_info_short")."\";");
					
					if      ($percent["raw"] >= 0.8) { $pos = 12; }
					else if ($percent["raw"] >= 0.6) { $pos = 24; }
					else if ($percent["raw"] >= 0.4) { $pos = 36; }
					else if ($percent["raw"] >= 0.2) { $pos = 48; }
					else                             { $pos = 60; }
					
					   $td[] = '<td sort="'.$percent['sort'].'" info="'.$info.'"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></td>';
				} else $td[] = '<td sort="1"><div class="ezDetail-Arrows"></div></td>';
			}
			
			// Zeit
			if (true) {
				$result = $weapon->time ? $stats->form($weapon->time, Array("time", "", "dynamic")) : Array('sort' => '0', 'tip' => '0 min', 'format' => '0');
				$td[] = '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Kills
			if (true) {
				$result = $stats->form($weapon->kills, Array('number', 0, "", "kills"));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Headshots
			if (true) {
				$result = $stats->form($weapon->headshots, Array('number'));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('headshots').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Headshot-Anteil
			if (true) {
				$result = $stats->form($weapon->headshots, Array("ratio", $weapon->kills, 0, "%"));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('headshots').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// KPM
			if (true) {
				$result = $stats->form($weapon->kills, Array("ratio", ($weapon->time / 60), 2));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('kills_per_minute').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Shots
			if (true) {
				$result = $stats->form($weapon->shots, Array('number'));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('shots').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Hits
			if (true) {
				$result = $stats->form($weapon->hits, Array('number'));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('hits').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Accuracy
			if (true) {
				$result = $stats->form($weapon->hits, Array("ratio", $weapon->shots, 0, "%"));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('accuracy').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Unlocks
			if (true) {
				$unlocked = 0; $unlocks = count($weapon->unlocks);
				if ($unlocks) {
					// Waffe hat Unlocks
					foreach ($weapon->unlocks as $nr => $unlock) {
						if ($unlock->curr == $unlock->needed) {
							$unlocked = $unlocked + 1;
							$left = 0;
						} else {
							$left = $unlock->needed - $unlock->curr;
							break;
						}
					}
					$tip = $left ? $tpl->phrase('unlocks_desc') : $tpl->phrase('unlocks_desc_short'); eval ( "\$tip = \"$tip\";" );
					$result = $stats->form($unlocked, Array("ratio", $unlocks, 0, "%"));
					$td[] = '<td sort="'.$result['sort'].'" info="'.$tip.'">'.$result['format'].'</td>';
				} else {
					// Waffe hat keine Unlocks
					$tip = $tpl->phrase('no_unlocks_desc');
					$td[] = '<td sort=" " info="'.$tip.'"> </td>';
				}
			}
			
			
			// Alle Zellen in einer Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($td as $cell) {
				pq('tr')->append($cell);
			}
			
			// Zeile in der Tabelle ablegen
			phpQuery::selectDocument($template);
			pq('#ezWeapons > tbody')->append($tr);
		}
		
		// Seite ausgeben
		die ($template);
	}
	
	
	### VEHICLES ###
	if (isset($_GET['vehicle'])) {
		// Daten fr Fahrzeuginfo generieren
		$stats = new Stats($pid);
		$vehicle = $stats->get('vehicles', $_GET['vehicle']);
		$src = $path.'stylesheets/images/'.$vehicle->img;
		
		
		// Template laden
		eval ("\$template = \"".$tpl->template("compare_vehicles")."\";");  
		$template = phpQuery::newDocumentHTML($template);
		$i = 0;
		
		
		// Tabellenzeilen generieren
		while ($row = $sql->fetchAssoc()) {
			$stats = new Stats($row['id']);
			$vehicle = $stats->get('vehicles', $_GET['vehicle']);
			$vehcats  = $stats->get('vehcats');
			$td = Array();
			
			
			// Spielerrang
			if (true) {
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td[] = '<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Spielername
			if (true) {
				$name     = $stats->get('player', 'nickname') ? $stats->get('player', 'nickname') : $stats->get('player', 'name');
				$clantag  = $settings->get('clantag');
				
				if ($settings->get("cms") == "standalone") {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				} else {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="'.$settings->get("path").'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				}
			}
			
			// Ranking
			if (isset($vehicle->r) AND isset($vehicle->c)) {
				$name    = $vehicle->name;
				$type    = $tpl->phrase("ranking_vehicles");
				$rank    = $stats->form($vehicle->r, Array('number', 0));
				$count   = $stats->form($vehicle->c, Array('number', 0));
				$percent = $stats->form($vehicle->r, Array('ratio', $vehicle->c, 0, '%'));
				$value   = $stats->form($vehicle->kills, Array('number', 0, "", "kills"));
				eval ("\$info = \"".$tpl->template("detail_ranking_info_short")."\";");
				
				if      ($percent["raw"] >= 0.8) { $pos = 12; }
				else if ($percent["raw"] >= 0.6) { $pos = 24; }
				else if ($percent["raw"] >= 0.4) { $pos = 36; }
				else if ($percent["raw"] >= 0.2) { $pos = 48; }
				else                             { $pos = 60; }
				
				   $td[] = '<td sort="'.$percent['sort'].'" info="'.$info.'"><div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div></td>';
			} else $td[] = '<td sort="1"><div class="ezDetail-Arrows"></div></td>';
			
			// Zeit
			if (true) {
				$result = $vehicle->time ? $stats->form($vehicle->time, Array("time", "", "dynamic")) : Array('sort' => '0', 'tip' => '0 min', 'format' => '0');
				$td[] = '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Kills
			if (true) {
				$result = $stats->form($vehicle->kills, Array('number', 0, "", "kills"));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// KPM
			if (true) {
				$result = $stats->form($vehicle->kills, Array("ratio", ($vehicle->time / 60), 2));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('kills_per_minute').': '.$result['format'].'">'.$result['format'].'</td>';
			}
			
			// Destroys
			if (true) {
				$result = $stats->form($vehicle->destroys, Array('number', 0));
				$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase('vehicledestroyed').': '.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			
			// Alle Zellen in einer Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($td as $cell) {
				pq('tr')->append($cell);
			}
			
			// Zeile in der Tabelle ablegen
			phpQuery::selectDocument($template);
			pq('#ezVehicles > tbody')->append($tr);
		}
		
		
		// Seite ausgeben
		die ($template);
	}
	
	
	### GLOBAL RANKINGS ###
	if (isset($_GET['rankings'])) {
		// Array mit den einzubindenden Spalten fr die vier Rubriken
		$columns = Array(
			"combat1" => Array("score", "spm", "elo", "kpm", "kdr", "wlr", "ospm", "shotspermin"),
			"combat2" => Array("dogtags", "dogtagkillperc", "hskillperc", "headshdist", "mvpribbons", "roundsplayed", "roundsfinishedperc"),
			"team" => Array("avengerkills", "saviorkills", "kassistsperc", "suppressionperc", "repairspem", "revivespam", "healspam", "resuppliespsm"),
			"vehicle" => Array("vehdest", "vehdestperc", "vehicletimeperc", "vehiclescorepvm", "disvehpr", "airwfrpr", "armwfrpr")
		);
		$rubric = $_GET['rankings'];
		
		
		// Die Funktion erstellt den HTML-Code fr die Globales-Ranking-Informationen
		function create_ranking_info($name_of_ranking, $displayed_value) {
			global $ranking, $tpl, $stats;
			$data = $ranking[$name_of_ranking];
			
			if (is_object($data) AND $data->r) {
				$type    = $tpl->phrase($name_of_ranking);
				$rank    = $stats->form($data->r, Array('number', 0));
				$count   = $stats->form($data->c, Array('number', 0));
				$value   = is_int($data->v) ? $stats->form($data->v, Array('number', 0)) : $stats->form($data->v, Array('number', 2));
				$percent = $stats->form($data->r, Array('ratio', $data->c, 0, '%'));
				eval ("\$info = \"".$tpl->template("detail_ranking_info")."\";");
				
				if      ($percent["raw"] >= 0.8) { $pos = 12; }
				else if ($percent["raw"] >= 0.6) { $pos = 24; }
				else if ($percent["raw"] >= 0.4) { $pos = 36; }
				else if ($percent["raw"] >= 0.2) { $pos = 48; }
				else                             { $pos = 60; }
				
				return '<div class="ezDetail-Arrows" style="background-position: 0 -'.$pos.'px"></div><span info="'.$info.'">'.$displayed_value.'</span>';
			} else return $displayed_value;
		}
		
		
		// Template laden
		$tpl->load_phrases("compare", true);
		$headline = $tpl->phrase("rankings").': '.$tpl->phrase($rubric);
		
		eval ("\$template = \"".$tpl->template("compare_common")."\";");  
		$template = phpQuery::newDocumentHTML($template);
		
		
		// Table-Head generieren
		$tpl->load_phrases("overview", true); // Wenn vorhanden, kurze Bezeichnungen laden
		foreach ($columns[$rubric] as $column) {
			$name = $tpl->phrase($column);
			
			if (strlen($name) > 5) {
				$abbr = $func->shortening($name, 5);
				pq('#ezCommon > thead > tr')->append('<th info="'.$name.'">'.$abbr.'</th>');
			} else {
				pq('#ezCommon > thead > tr')->append('<th>'.$name.'</th>');
			}
		}
		
		
		// Table-Body generieren
		$tpl->load_phrases("detail", true); // Wenn vorhanden, lange Bezeichnungen laden
		while ($row = $sql->fetchAssoc()) {
			$stats = new Stats($row['id']);
			$ranking = $stats->get('ranking');
			$td = Array();
			
			
			// Spielerrang
			if (true) {
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td[] = '<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			
			// Spielername
			if (true) {
				$name     = $stats->get('player', 'nickname') ? $stats->get('player', 'nickname') : $stats->get('player', 'name');
				$clantag  = $settings->get('clantag');
				
				if ($settings->get("cms") == "standalone") {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				} else {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="'.$settings->get("path").'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				}
			}
			
			
			// Ranking-Werte
			foreach ($columns[$rubric] as $column) {
				switch (strlen(round($ranking[$column]->v))) {
					case 1:  $decimal = 2; break;
					case 2:  $decimal = 1; break;
					default: $decimal = 0;
				}
				$result  = $stats->form($ranking[$column]->v, Array('number', $decimal));
				$content = create_ranking_info($column, $result['format']);
				
				$td[] = '<td sort="'.$result['sort'].'">'.$content.'</td>';
			}
			
			
			// Alle Zellen in einer Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($td as $cell) {
				pq('tr')->append($cell);
			}
			
			// Zeile in der Tabelle ablegen
			phpQuery::selectDocument($template);
			pq('#ezCommon > tbody')->append($tr);
		}
		
		// Seite ausgeben
		die ($template);
	}	
	
	
	### ALLGEMEINE STATS ###
	if (isset($_GET['common'])) {
		// Array mit den einzubindenden Spalten fr die vier Rubriken
		$columns = Array(
			"combat1" => Array("kills", "deaths", "kdr", "vehicledestroyed", "vehicledestroyassist", "killstreakbonus", "dogtags"),
			"combat2" => Array("shots", "hits", "accuracy", "headshots", "hskillperc", "longesths", "longesthandhs"),
			"combat3" => Array("saviorkills", "avengerkills", "nemesiskills", "nemesisstreak", "killassists",  "suppression"),
			"team" => Array("revives", "resupplies", "heals", "repairs", "mcomdest", "mcomdefkills", "flagcaps", "flagdef"),
			"scores" => Array("unlock", "award", "vehicleall", "bonus", "objective", "squad", "team"),
			"common" => Array("spm", "elo", "rounds", "elo_games", "wins", "losses", "wlr")
		);
		$special = Array("kdr", "accuracy", "hskillperc", "spm", "wlr");
		$rubric = $_GET['common'];
		
		// Template laden
		$tpl->load_phrases("compare", true);
		$headline = $tpl->phrase("common").': '.$tpl->phrase($rubric);
		
		eval ("\$template = \"".$tpl->template("compare_common")."\";");  
		$template = phpQuery::newDocumentHTML($template);
		
		
		// Table-Head generieren
		$tpl->load_phrases("overview", true); // Wenn vorhanden, kurze Bezeichnungen laden
		foreach ($columns[$rubric] as $column) {
			// Spaltenname laden. Besonderheit fr Strings deren Wildcard nicht der Stats-Bezeichnung entspricht
			if ($column == "vehicledestroyassist") 						{ $name = $tpl->phrase("destroyassist"); }
			else if ($column == "longesths") 							{ $name = $tpl->phrase("headshdist"); }
			else if ($column == "vehicleall") 							{ $name = $tpl->phrase("vehicle_score"); }
			else if ($column == "team") 								{ $name = $tpl->phrase("team_score"); }
			else if ($column == "rounds") 								{ $name = $tpl->phrase("roundsplayed"); }
			else if ($column == "elo_games") 							{ $name = $tpl->phrase("finished_rounds"); }
			else if ($column == "losses") 								{ $name = $tpl->phrase("loss"); }
			else if (substr($tpl->phrase($column), 0, 8) == "Wildcard")	{ $name = $tpl->phrase($column."_score"); }
			else 														{ $name = $tpl->phrase($column); }
			
			if (strlen($name) > 5) {
				$abbr = $func->shortening($name, 5);
				pq('#ezCommon > thead > tr')->append('<th info="'.$name.'">'.$abbr.'</th>');
			} else {
				pq('#ezCommon > thead > tr')->append('<th>'.$name.'</th>');
			}
		}
		
		
		// Table-Body generieren
		$tpl->load_phrases("detail", true); // Wenn vorhanden, lange Bezeichnungen laden
		while ($row = $sql->fetchAssoc()) {
			$stats = new Stats($row['id']);
			$values = $rubric == "scores" ? $stats->get('scores') : $stats->get('global');
			$td = Array();
			
			// Spielerrang
			if (true) {
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td[] = '<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			
			// Spielername
			if (true) {
				$name     = $stats->get('player', 'nickname') ? $stats->get('player', 'nickname') : $stats->get('player', 'name');
				$clantag  = $settings->get('clantag');
				
				if ($settings->get("cms") == "standalone") {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				} else {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="'.$settings->get("path").'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				}
			}
			
			
			// Werte
			foreach ($columns[$rubric] as $column) {
				// Werte die einzeln behandelt werden mssen
				if (in_array($column, $special)) {
					if ($column == "kdr") {
						$kdr		= $stats->form($values['kills'], Array('ratio', $values['deaths'], 2));
						$kdr_color	= ($kdr['raw'] >= 1) ? "positive" : "negative";
						$td[] = '<td class="'.$kdr_color.'" sort="'.$kdr['sort'].'" info="'.$tpl->phrase("kdr").': '.$kdr['tip'].'">'.$kdr['format'].'</td>';
					}
					
					if ($column == "accuracy") {
						$result		= $stats->form($values['hits'], Array('ratio', $values['shots'], 1, '%'));
						$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase("accuracy").': '.$result['tip'].'">'.$result['format'].'</td>';
					}
					
					if ($column == "hskillperc") {
						$result		= $stats->form($values['headshots'], Array('ratio', $values['kills'], 1, '%'));
						$td[] = '<td sort="'.$result['sort'].'" info="'.$tpl->phrase("hskillperc").': '.$result['tip'].'">'.$result['format'].'</td>';
					}
					
					if ($column == "spm") {
						$result		= $stats->get('scores', 'score', Array('ratio', ($values['time'] / 60), 0, '', 'spm'));
						$td[] = '<td sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
					}
					
					if ($column == "wlr") {
						$wlr		= $stats->form($values['wins'], Array('ratio', $values['losses'], 2));
						$wlr_color	= ($wlr['raw'] >= 1) ? "positive" : "negative";
						$td[] = '<td class="'.$wlr_color.'" sort="'.$wlr['sort'].'" info="'.$tpl->phrase("wlr").': '.$wlr['tip'].'">'.$wlr['format'].'</td>';
					}
				} 
				
				// Werte die automatisiert eingetragen werden knnen
				else {
					// Spaltenname laden. Besonderheit fr Strings deren Wildcard nicht der Stats-Bezeichnung entspricht
					if ($column == "vehicledestroyassist") 						{ $name = $tpl->phrase("destroyassist"); }
					else if ($column == "longesths") 							{ $name = $tpl->phrase("headshdist"); }
					else if ($column == "vehicleall") 							{ $name = $tpl->phrase("vehicle_score"); }
					else if ($column == "team") 								{ $name = $tpl->phrase("team_score"); }
					else if ($column == "rounds") 								{ $name = $tpl->phrase("roundsplayed"); }
					else if ($column == "elo_games") 							{ $name = $tpl->phrase("finished_rounds"); }
					else if ($column == "losses") 								{ $name = $tpl->phrase("loss"); }
					else if (substr($tpl->phrase($column), 0, 8) == "Wildcard")	{ $name = $tpl->phrase($column."_score"); }
					else 														{ $name = $tpl->phrase($column); }
					
					$result  = $stats->form($values[$column], Array('number', 0));
					
					$td[] = '<td sort="'.$result['sort'].'" info="'.$name.': '.$result['tip'].'">'.$result['format'].'</td>';
				}
			}
			
			
			// Alle Zellen in einer Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($td as $cell) {
				pq('tr')->append($cell);
			}
			
			// Zeile in der Tabelle ablegen
			phpQuery::selectDocument($template);
			pq('#ezCommon > tbody')->append($tr);
		}
		
		
		// Seite ausgeben
		die ($template);
	}
	
	
	### FAVOURITES ###
	if (isset($_GET['favourites'])) {
		// Array mit den einzubindenden Spalten
		$columns = Array('kits', 'vehcats', 'weapons', 'vehicles', 'equipment');
		
		// Template laden
		$tpl->load_phrases("compare", true);
		$headline = $tpl->phrase("favourites");
		
		eval ("\$template = \"".$tpl->template("compare_common")."\";");  
		$template = phpQuery::newDocumentHTML($template);
		
		
		// Table-Head generieren
		foreach ($columns as $column) {
			$name = $tpl->phrase($column);
			pq('#ezCommon > thead > tr')->append('<th>'.$name.'</th>');
		}
		
		
		// Table-Body generieren
		$tpl->load_phrases("detail", true); // Wenn vorhanden, lange Bezeichnungen laden
		while ($row = $sql->fetchAssoc()) {
			$stats = new Stats($row['id']);
			$td = Array();
			
			// Spielerrang
			if (true) {
				$result = $stats->get('player', 'rank', Array('rankicon', 'rank_progress'));
				$td[] = '<td class="tcenter" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>';
			}
			
			// Spielername
			if (true) {
				$name     = $stats->get('player', 'nickname') ? $stats->get('player', 'nickname') : $stats->get('player', 'name');
				$clantag  = $settings->get('clantag');
				
				if ($settings->get("cms") == "standalone") {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				} else {
					$td[] = '<td class="tleft" sort="'.$name.'"><a class="fancybox fancybox.ajax" href="'.$settings->get("path").'detail.php?pid='.$row['id'].'">'.$clantag.$name.'</a></td>';
				}
			}
			
			// Lieblings-Kit
			if (true) {
				$result = $stats->format('kits', 'favs');
				$td[] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
			}
			
			// Lieblings-Vehcat
			if (true) {
				$result = $stats->format('vehcats', 'favs');
				$td[] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
			}
			
			// Lieblings-Waffe
			if (true) {
				$result = $stats->format('weapons', 'favs');
				$td[] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
			}
			
			// Lieblings-Fahrzeug
			if (true) {
				$result = $stats->format('vehicles', 'favs');
				$td[] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
			}
			
			// Lieblings-Equipment
			if (true) {
				$result = $stats->format('equipment', 'favs');
				$td[] = phpQuery::newDocumentHTML('<td class="tleft" sort="'.$result['sort'].'" info="'.$result['tip'].'">'.$result['format'].'</td>');
			}
			
			
			// Alle Zellen in einer Zeile speichern
			$tr = phpQuery::newDocumentHTML('<tr></tr>');
			foreach ($td as $cell) {
				pq('tr')->append($cell);
			}
			
			// Zeile in der Tabelle ablegen
			phpQuery::selectDocument($template);
			pq('#ezCommon > tbody')->append($tr);
		}
		
		
		// Seite ausgeben
		die ($template);
	}
?>













